package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TestaRepository;
import com.realnet.basicp1.Entity.Testa
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
































	import org.springframework.stereotype.Service;

@Service
 public class TestaService {
@Autowired
private TestaRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;































public Testa Savedata(Testa data) {
































	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testa save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testa> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testa> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testa> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testa getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testa update(Testa data,Integer id) {
	Testa old = Repository.findById(id).get();
old.setName(data.getName());

old.setRadiofield(data.getRadiofield());

  
 
old.setK(data.isK());
   

 
old.setL(data.isL());
   


  

 

 

 

 

old.setCurrency(data.getCurrency());

old.setQrcode_field(data.getQrcode_field());

old.setBarcode_field(data.getBarcode_field());



old.setNuma(data.getNuma());

old.setNumb(data.getNumb());

old.setCalculated_field(data.getCalculated_field());


 
old.setA(data.getA());
 

 
old.setB(data.getB());
 

  

old.setSurvey_form(data.getSurvey_form());

final Testa test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
































 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
